pango-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Used to store strings of glyphs with geometry and visual attribute information. System.ValueType
- Field
  Pango.GlyphString Returns an empty
- Method
  Pango.GlyphString Generates a new object. a object.
- Method
  Pango.GlyphString `` Internal method an object of type an object of type This is an internal method, and should not be used by user code.
- Method
  Pango.GlyphString Copies one into a new object. a
- Method
  System.Void `` `` `` Computes the logical and ink extents of this glyph string. a for rendering the string a used to store the extents of the glyph as drawn or to indicate that the result is not needed. a used to store the logical extents of the glyph or to indicate that the result is not needed. The coordinate system for each rectangle has its origin at the base line and horizontal origin of the character with increasing coordinates extending to the right and down. The units of the rectangles are in 1 / of a device unit.
- Method
  System.Void Frees this object's memory.
- Method
  System.Void `` `` `` `` `` Computes the logical and ink extents of a sub-section of this glyph string. an integer for the start index an integer for the end index a for rendering the string a used to store the extents of the glyph as drawn or to indicate that the result is not needed. a used to store the logical extents of the glyph or to indicate that the result is not needed. The extents are relative to the start of the glyph string range, not to the start of the glyph string.
- Property
  System.Int32 Resizes this GlyphString to the given length. An integer length to resize to. The new length of the string.
- Property
  Pango.GlyphInfo an array of an object of type
- Method
  System.Void `` `` `` `` `` Convert from x offset to character position. a , the text for the run a , the analysis for the run the X offset in Pango glyph units. a , for storing the calculated byte index a for storing whether the user clicked on the leading or trailing edge of the character. Character positions are computed by dividing up each cluster into equal portions. In scripts where positioning within a cluster is not allowed (such as Thai), the returned value may not be a valid cursor position; the caller must combine the result with the logical attributes for the text to compute the valid cursor position.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Field
  System.Int32 the number of glyphs in the string.
- Field
  System.Int32 Represents how much space is left for other characters in the GlyphString.
- Method
  System.Int32 `` `` `` `` Convert from character position to X position. a , the text for the run a , the analysis for the run a , the byte index within the text. a whether to compute from trailing edge (true) or leading edge (false) of the character a to hold the returned X offset Converts from character position to x position. (X position is measured from the left edge of the run). Character positions are computed by dividing up each cluster into equal portions.
- Method
  System.Int32 `` `` Determine the screen width corresponding to each character in a string. When multiple characters compose a single cluster, the width of the entire cluster is divided equally among the characters. a to process a , the embedding level of the string a , a pointer to an array of logical widths for each character.